Package org.gdal.gdal

## Class AlgorithmArg

- java.lang.Object
- - org.gdal.gdal.AlgorithmArg

-     public class AlgorithmArg
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Vector` | `GetAliases()` |
    `boolean` | `GetAsBoolean()` |
    `ArgDatasetValue` | `GetAsDatasetValue()` |
    `double` | `GetAsDouble()` |
    `int` | `GetAsInteger()` |
    `java.lang.String` | `GetAsString()` |
    `java.util.Vector` | `GetAsStringList()` |
    `java.lang.String` | `GetCategory()` |
    `java.util.Vector` | `GetChoices()` |
    `int` | `GetDatasetInputFlags()` |
    `int` | `GetDatasetOutputFlags()` |
    `int` | `GetDatasetType()` |
    `boolean` | `GetDefaultAsBoolean()` |
    `double` | `GetDefaultAsDouble()` |
    `int` | `GetDefaultAsInteger()` |
    `java.lang.String` | `GetDefaultAsString()` |
    `java.util.Vector` | `GetDefaultAsStringList()` |
    `java.lang.String` | `GetDescription()` |
    `int` | `GetMaxCount()` |
    `java.util.Vector` | `GetMetadataItem​(java.lang.String item)` |
    `java.lang.String` | `GetMetaVar()` |
    `int` | `GetMinCount()` |
    `java.lang.String` | `GetMutualExclusionGroup()` |
    `java.lang.String` | `GetName()` |
    `boolean` | `GetPackedValuesAllowed()` |
    `boolean` | `GetRepeatedArgAllowed()` |
    `java.lang.String` | `GetShortName()` |
    `int` | `GetType()` |
    `boolean` | `HasDefaultValue()` |
    `int` | `hashCode()` |
    `boolean` | `IsExplicitlySet()` |
    `boolean` | `IsHidden()` |
    `boolean` | `IsHiddenForAPI()` |
    `boolean` | `IsHiddenForCLI()` |
    `boolean` | `IsInput()` |
    `boolean` | `IsOutput()` |
    `boolean` | `IsPositional()` |
    `boolean` | `IsRequired()` |
    `boolean` | `SetAsBoolean​(boolean value)` |
    `boolean` | `SetAsDatasetValue​(ArgDatasetValue value)` |
    `boolean` | `SetAsDouble​(double value)` |
    `boolean` | `SetAsDoubleList​(double[] nList)` |
    `boolean` | `SetAsInteger​(int value)` |
    `boolean` | `SetAsIntegerList​(int[] nList)` |
    `boolean` | `SetAsString​(java.lang.String value)` |
    `boolean` | `SetAsStringList​(java.util.Vector value)` |
    `boolean` | `SetDataset​(Dataset ds)` |
    `boolean` | `SetDatasetNames​(java.util.Vector names)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName()

    - #### GetType

          public int GetType()

    - #### GetDescription

          public java.lang.String GetDescription()

    - #### GetShortName

          public java.lang.String GetShortName()

    - #### GetAliases

          public java.util.Vector GetAliases()

    - #### GetMetaVar

          public java.lang.String GetMetaVar()

    - #### GetCategory

          public java.lang.String GetCategory()

    - #### IsPositional

          public boolean IsPositional()

    - #### IsRequired

          public boolean IsRequired()

    - #### GetMinCount

          public int GetMinCount()

    - #### GetMaxCount

          public int GetMaxCount()

    - #### GetPackedValuesAllowed

          public boolean GetPackedValuesAllowed()

    - #### GetRepeatedArgAllowed

          public boolean GetRepeatedArgAllowed()

    - #### GetChoices

          public java.util.Vector GetChoices()

    - #### GetMetadataItem

          public java.util.Vector GetMetadataItem​(java.lang.String item)

    - #### IsExplicitlySet

          public boolean IsExplicitlySet()

    - #### HasDefaultValue

          public boolean HasDefaultValue()

    - #### GetDefaultAsBoolean

          public boolean GetDefaultAsBoolean()

    - #### GetDefaultAsString

          public java.lang.String GetDefaultAsString()

    - #### GetDefaultAsInteger

          public int GetDefaultAsInteger()

    - #### GetDefaultAsDouble

          public double GetDefaultAsDouble()

    - #### GetDefaultAsStringList

          public java.util.Vector GetDefaultAsStringList()

    - #### IsHidden

          public boolean IsHidden()

    - #### IsHiddenForCLI

          public boolean IsHiddenForCLI()

    - #### IsHiddenForAPI

          public boolean IsHiddenForAPI()

    - #### IsInput

          public boolean IsInput()

    - #### IsOutput

          public boolean IsOutput()

    - #### GetDatasetType

          public int GetDatasetType()

    - #### GetDatasetInputFlags

          public int GetDatasetInputFlags()

    - #### GetDatasetOutputFlags

          public int GetDatasetOutputFlags()

    - #### GetMutualExclusionGroup

          public java.lang.String GetMutualExclusionGroup()

    - #### GetAsBoolean

          public boolean GetAsBoolean()

    - #### GetAsString

          public java.lang.String GetAsString()

    - #### GetAsInteger

          public int GetAsInteger()

    - #### GetAsDouble

          public double GetAsDouble()

    - #### GetAsDatasetValue

          public ArgDatasetValue GetAsDatasetValue()

    - #### GetAsStringList

          public java.util.Vector GetAsStringList()

    - #### SetAsBoolean

          public boolean SetAsBoolean​(boolean value)

    - #### SetAsString

          public boolean SetAsString​(java.lang.String value)

    - #### SetAsInteger

          public boolean SetAsInteger​(int value)

    - #### SetAsDouble

          public boolean SetAsDouble​(double value)

    - #### SetAsDatasetValue

          public boolean SetAsDatasetValue​(ArgDatasetValue value)

    - #### SetAsStringList

          public boolean SetAsStringList​(java.util.Vector value)

    - #### SetAsIntegerList

          public boolean SetAsIntegerList​(int[] nList)

    - #### SetAsDoubleList

          public boolean SetAsDoubleList​(double[] nList)

    - #### SetDataset

          public boolean SetDataset​(Dataset ds)

    - #### SetDatasetNames

          public boolean SetDatasetNames​(java.util.Vector names)